## ltsp-manager 0.0.2

=== Makefile ===
DESTDIR      =
prefix       = /usr
bindir       = $(prefix)/bin
pkgdatadir   = $(prefix)/share/ltsp-manager
gladedir     = $(prefix)/share/ltsp-manager

INSTALL      = install
INSTALL_DATA = install -m644

bin_PROGS = \
	ltsp-manager

pkgdata_DATA = \
	compress.png \
	display.png \
	font.png \
	harddisk.png \
	keyboard.png \
	login.png \
	log.png \
	mouse.png \
	net.png \
	nic.png \
	sound.png \
	wallpaper.png

glade_DATA = \
	ltsp-manager.glade 

all:

install:
	$(INSTALL_DATA) $(pkgdata_DATA) $(DESTDIR)$(pkgdatadir)
	$(INSTALL) $(bin_PROGS) $(DESTDIR)/$(bindir)
	$(INSTALL_DATA) $(glade_DATA) $(DESTDIR)$(gladedir)

## ltsp-manager 0.0.1-1

=== debian/changelog ===
ltsp-manager (0.0.1-1) edgy; urgency=low

  * Initial release.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  7 Mar 2006 08:46:33 +0100

=== debian/control ===
Source: ltsp-manager
Section: misc
Priority: optional
Maintainer: Oliver Grawert <ogra@ubuntu.com>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.2

Package: ltsp-manager
Priority: extra
Depends: python, python-glade2, ltsp-server-standalone
Architecture: all
Description: Ubuntu LTSP server management GUI
 This is the LTSP GUI management tool to set up, modify and manage an
 Ubuntu LTSP server Thin Client installation. It guides you through 
 the Thin Client chroot installation and enables you to adjust dhcp 
 settings on the server. It also allows you to tweak specific settings 
 for the Thin Clients.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -pltsp-manager
	dh_installdebconf -i	
	#dh_installman 
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/ltsp-manager-$(DEBVER)
	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/ltsp-manager-$(DEBVER)
	(cd debian/arch-build/ltsp-manager-$(DEBVER); $(DEB_BUILD_PROG); dpkg-genchanges -S > ../ltsp-manager_$(DEBVER)_source.changes)

#binary: binary-indep binary-arch
binary: binary-indep 
.PHONY: build clean binary-indep binary-arch binary install arch-build

## ltsp-manager 17.08.1

=== debian/changelog ===
ltsp-manager (17.08.1) experimental; urgency=medium

  * Updated debian/copyright with missing entries.
  * debian/control:
    - Update Vcs-* URLs.
    - Update Standards-Version to 4.1.1:
	  + set priority to optional.
  * po/update-pot: Always sort using the C locale.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 18 Oct 2017 11:51:07 -0700

ltsp-manager (17.08) experimental; urgency=low

  [ Alkis Georgopoulos ]
  * Initial release under the LTSP Manager name.

  [ fottsia ]
  * Translations from Greek to English and back to Greek.
    Thanks to Outreachy.org for sponsoring the work!

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 30 Aug 2017 11:41:20 -0700

=== debian/control ===
Source: ltsp-manager
Section: admin
Priority: optional
Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Alkis Georgopoulos <alkisg@gmail.com>, Vagrant Cascadian <vagrant@debian.org>
Build-Depends: debhelper (>= 9),
 dpkg-dev (>= 1.16.1),
 python-distutils-extra,
Standards-Version: 4.1.1
Vcs-Git: https://git.launchpad.net/ltsp-manager
Vcs-Browser: https://git.launchpad.net/ltsp-manager
Homepage: http://wiki.ltsp.org/wiki/Ltsp-manager

Package: ltsp-manager
Architecture: all
Depends: ${misc:Depends},
 bindfs,
 iputils-arping,
 librsvg2-common,
 lsb-base (>= 3.0-6),
 policykit-1,
 python (>= 2.6),
 python-gtk2,
Recommends: apturl,
 dnsmasq,
 epoptes,
 ethtool,
 iperf,
 ldm-ubuntu-theme | ldm-edubuntu-theme | ldm-kubuntu-theme | ldm-lubuntu-theme | ldm-xubuntu-theme | ldm-themes,
 ltsp-client (>= 5.4.0),
 ltsp-docs,
 ltsp-server-standalone (>= 5.4.0) | ltsp-server (>= 5.4.0),
Suggests: ident2,
 squid,
Description: Easy administration of LTSP-based computer labs
 It depends on a set of packages suitable for configuring LTSP in small
 computer labs, and it provides a GUI for managing user accounts, running
 maintenance tasks etc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install
	echo "__version__='$(DEB_VERSION)'" > "$(CURDIR)/debian/ltsp-manager/usr/share/ltsp-manager/version.py"
